Tile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class Tile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
          edu.harvard.hul.ois.jhove.module.jpeg2000.Tile

    public class Tile

extends MainOrTile

Encapsulation of a JPEG 2000 tile in a codestream.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
`_codProperty, _comments, _components, _packetLengthList, _pocProperty, _precSize, _qcdProperty, NULL`

Constructor Summary
`Tile()` Constructor.

Method Summary
`void` | `addPPTLength(long len)` Adds a PPM tilepart header length to the list of lengths
`void` | `addTilePart(TilePart tp)` Adds a TilePart to the List of TileParts.
`java.util.List` | `getTileParts()` returns the List of TileParts.
`Property` | `makeProperty()` Returns a Property describing the tile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MainOrTile
`addComment, addPacketLength, getNumComponents, setCODProperty, setCompProperty, setNumComponents, setPOCProperty, setQCDProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tile

    public Tile()

  Constructor.

Method Detail

### addTilePart

    public void addTilePart(TilePart tp)

  Adds a TilePart to the List of TileParts.

### getTileParts

    public java.util.List getTileParts()

  returns the List of TileParts.

### addPPTLength

    public void addPPTLength(long len)

  Adds a PPM tilepart header length to the list of lengths

### makeProperty

    public Property makeProperty()

  Returns a Property describing the tile. The name of the Property is "Tile".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD